#ifndef __SYNTAX_P_H__
#define __SYNTAX_P_H__

extern Lisp_Object check_syntax_table _P_((Lisp_Object obj));
extern int scan_words _P_((register int from, register int count));
extern Lisp_Object scan_lists _P_((register int from, int count,
                                   int depth, int sexpflag));
extern _VOID_ init_syntax_once _P_((void));
extern _VOID_ syms_of_syntax _P_((void));
    
DEFUN_P(Fsyntax_table_p, (Lisp_Object obj));
DEFUN_P(Fsyntax_table, (void));
DEFUN_P(Fstandard_syntax_table, (void));
DEFUN_P(Fcopy_syntax_table, (Lisp_Object table));
DEFUN_P(Fset_syntax_table, (Lisp_Object table));
DEFUN_P(Fchar_syntax, (Lisp_Object ch));
DEFUN_P(Fmodify_syntax_entry, (Lisp_Object c, Lisp_Object newentry,
                               Lisp_Object syntax_table));
DEFUN_P(Fdescribe_syntax, (void));
DEFUN_P(Fforward_word, (Lisp_Object count));
DEFUN_P(Fforward_comment, (Lisp_Object count));
DEFUN_P(Fscan_lists, (Lisp_Object from, Lisp_Object count, Lisp_Object depth));
DEFUN_P(Fscan_sexps, (Lisp_Object from, Lisp_Object count));
DEFUN_P(Fbackward_prefix_chars, (void));
DEFUN_P(Fparse_partial_sexp, (Lisp_Object from, Lisp_Object to,
                              Lisp_Object targetdepth, Lisp_Object stopbefore,
                              Lisp_Object oldstate, Lisp_Object commentstop));
    
#endif
